Skip to content

Get entity records ​

Get entity records from an Entity.

Endpoint ​

GET /api/v1/external/projects/{projectUuid}/entities/{entityId}/records

Headers ​

HeaderTypeRequiredDescription
AuthorizationstringYesBearer token for authentication
AcceptstringNoMust be application/json

Parameters ​

ParameterTypeRequiredDescription
projectUuidstringYesThe UUID of the project to upload the document to. Can be found in the Recognito application.
entityIdstringYesThe ID of the entity to create the record in. Can be found in the Recognito application.

Response ​

Success Response (200 OK) ​

json
[
    {
        "id": 238751,
        "entity_id": 1,
        "data": {
            "max": "20000",
            "min": "6000",
            "comment": "Comment",
            "uploader_email": "example@recognito.io"
        }
    },
]

Error Response (400 Bad Request) ​

json
{
  "error": "string",
  "message": "string"
}

Example ​

Request ​

bash
curl -X GET https://apiv2.recognito.io/api/v1/external/projects/{projectUuid}/entities/{entityId}/records \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json"

Response ​

json
[
    {
        "id": 238751,
        "entity_id": 1,
        "data": {
            "max": "20000",
            "min": "6000",
            "comment": "Comment",
            "uploader_email": "example@recognito.io"
        }
    }
]